Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class PortletContainerRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v1.PortletContainerRenderer

Direct Known Subclasses:
  DefaultContainerRenderer

public abstract class PortletContainerRenderer
extends java.lang.Object

A PortletContainerRenderer is a utility class that renders the container for a portlet. The container that is renderered may vary depending on the SHOW mode that is being requested. For example, Edit, Edit Defaults. Help, About, and Show Details are all rendered in "full screen" mode whereas the regular Show and Preview modes have variable size containers depending on the size of the portlet.

Field Summary
`static java.lang.String` | `ACTION_PARAM_NAME` Name of the edit form to be used when renderering edit/edit defaults headers/footers
`static java.lang.String` | `CUSTOMIZE_FORM_NAME` Default form name.
`static java.lang.String` | `DEFAULT_ACTION_PARAM` Default action parameter name.
`static java.lang.String` | `EDIT_FORM_NAME` Name of the edit form to be used when renderering edit/edit defaults headers/footers
`static java.lang.String` | `HELP_URL` A URL that can be used to render a help link in full-screen modes.
`static java.lang.String` | `PORTLET_TITLE` Portlet title.
`static java.lang.String` | `PRINT_WRITER` PrintWriter that should be used to render the output.
`static java.lang.String` | `RENDER_CUSTOMIZE` Used to determine whether customize header should be rendered by the container renderer
`static java.lang.String` | `RENDER_MODE` Used to determine the render mode the title should be rendered for.

Constructor Summary
`PortletContainerRenderer()`

Method Summary
`void` | `renderAboutFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet ABOUT mode
`void` | `renderAboutHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet ABOUT mode
`void` | `renderDetailsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet SHOW_DETAILS mode
`void` | `renderDetailsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet SHOW_DETAILS mode
`void` | `renderEditDefaultsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet EDIT_DEFAULTS mode
`void` | `renderEditDefaultsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet EDIT_DEFAULTS mode
`void` | `renderEditFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet EDIT mode
`void` | `renderEditHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet EDIT mode
`void` | `renderHelpFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet HELP mode
`void` | `renderHelpHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet HELP mode
`void` | `renderPortletFooter(PortletRenderRequest request, ParameterMap params)` Renders a portlet footer.
`void` | `renderPortletHeader(PortletRenderRequest request, ParameterMap params)` Renders a portlet header The container that is rendered should be dependent on the mode that is being renderered
`void` | `renderPreviewFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet PREVIEW mode
`void` | `renderPreviewHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet PREVIEW mode
`void` | `renderShowFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the footer for the portlet SHOW mode
`void` | `renderShowHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Renders the header for the portlet SHOW mode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_TITLE

    public static final java.lang.String PORTLET_TITLE

  Portlet title. Usually this is the customizable title in SHOW mode and a mode specific title describing the mode

### RENDER_MODE

    public static final java.lang.String RENDER_MODE

  Used to determine the render mode the title should be rendered for. If this parameter is not passed, the render mode will be determined from the PortletRenderRequest. This parameter is included for backwards compatibility with PortletRendererUtil.renderPortletHeader()

### RENDER_CUSTOMIZE

    public static final java.lang.String RENDER_CUSTOMIZE

  Used to determine whether customize header should be rendered by the container renderer

### EDIT_FORM_NAME

    public static final java.lang.String EDIT_FORM_NAME

  Name of the edit form to be used when renderering edit/edit defaults headers/footers

### ACTION_PARAM_NAME

    public static final java.lang.String ACTION_PARAM_NAME

  Name of the edit form to be used when renderering edit/edit defaults headers/footers

### HELP_URL

    public static final java.lang.String HELP_URL

  A URL that can be used to render a help link in full-screen modes. eg use this to render a help link in EDIT or EDIT DEFAULTS mode. This is NOT the URL that is used to access the portlets HELP mode.

### CUSTOMIZE_FORM_NAME

    public static final java.lang.String CUSTOMIZE_FORM_NAME

  Default form name. This value is used for the customize form name if a value is not supplid in the parameter map

### DEFAULT_ACTION_PARAM

    public static final java.lang.String DEFAULT_ACTION_PARAM

  Default action parameter name. This value is used for the name of the hidden field that will capture the form action (button pressed) if a value is not supplied by the caller in the parameter map

### PRINT_WRITER

    public static final java.lang.String PRINT_WRITER

  PrintWriter that should be used to render the output. The value of this parameter is the PrintWriter object that should be used to render the portlet header or footer. If this parameter is not specified, the PrintWriter from the PortletRenderRequest.getWriter() will be used. If you are calling RenderPortletHeader or RenderPortletFooter from a JSP, it is important that you use the same Writer to render all the JSP content - either the JSPWriter or PortletRenderRequest.getWriter(). Mixing writers can cause output to be displayed out of sequence due to buffering in the JSPWriter.

Constructor Detail

### PortletContainerRenderer

    public PortletContainerRenderer()

Method Detail

### renderPortletHeader

    public void renderPortletHeader(PortletRenderRequest request,
                                    ParameterMap params)
                             throws PortletException

  Renders a portlet header The container that is rendered should be dependent on the mode that is being renderered
  Parameters:
    `pr` - PortletRenderRequest for this rendering.
    `params` - Parameters for rendering the container

### renderPortletFooter

    public void renderPortletFooter(PortletRenderRequest request,
                                    ParameterMap params)
                             throws PortletException

  Renders a portlet footer. The container that is rendered should be dependent on the mode that is being renderered
  Parameters:
    `request` - PortletRenderRequest for this rendering
    `params` - Parameters for rendering the container

### renderShowHeader

    public void renderShowHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet SHOW mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderShowFooter

    public void renderShowFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet SHOW mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderPreviewHeader

    public void renderPreviewHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet PREVIEW mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderPreviewFooter

    public void renderPreviewFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet PREVIEW mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderDetailsHeader

    public void renderDetailsHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet SHOW_DETAILS mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderDetailsFooter

    public void renderDetailsFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet SHOW_DETAILS mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderEditHeader

    public void renderEditHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet EDIT mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderEditFooter

    public void renderEditFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet EDIT mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderEditDefaultsHeader

    public void renderEditDefaultsHeader(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the header for the portlet EDIT_DEFAULTS mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderEditDefaultsFooter

    public void renderEditDefaultsFooter(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the footer for the portlet EDIT_DEFAULTS mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderHelpHeader

    public void renderHelpHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet HELP mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderHelpFooter

    public void renderHelpFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet HELP mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderAboutHeader

    public void renderAboutHeader(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Renders the header for the portlet ABOUT mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

### renderAboutFooter

    public void renderAboutFooter(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Renders the footer for the portlet ABOUT mode
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD